Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xdb.dom
Class XDBText

`java.lang.Object
oracle.xdb.dom.XDBNode
oracle.xdb.dom.XDBCharData
oracle.xdb.dom.XDBText`

All Implemented Interfaces:
  CharacterData, Node, Text

Direct Known Subclasses:
  XDBCData

public class XDBText
extends XDBCharData
implements Text

This class implements the W3C Text interface

Field Summary

Fields inherited from class oracle.xdb.dom.XDBNode
`m_conn, m_owner, m_xobcstate`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`Text` | `splitText(int offset)` Breaks this node into two nodes at the specified `offset`, keeping both in the tree as siblings.

Methods inherited from class oracle.xdb.dom.XDBCharData
`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

Methods inherited from class oracle.xdb.dom.XDBNode
`appendChild, cloneNode, close, equals, finalize, getAttributes, getChildNodes, getExpandedName, getFirstChild, getInputStream, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeFromCState, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getPrimitiveType, getQualifiedName, getSchemaNode, hasAttributes, hasChildNodes, hashCode, insertBefore, isClosed, isNilled, isSchemaBased, isSupported, normalize, removeChild, replaceChild, setNodeValue, setNodeXob, setOwner, setPrefix, setXobCstate, toCState, toString, validateName, write, writeToOutputStream`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.CharacterData
`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### splitText

    public Text splitText(int offset)
                   throws DOMException

  Description copied from interface: `Text`
  Breaks this node into two nodes at the specified `offset`, keeping both in the tree as siblings. After being split, this node will contain all the content up to the `offset` point. A new node of the same type, which contains all the content at and after the `offset` point, is returned. If the original node had a parent node, the new node is inserted as the next sibling of the original node. When the `offset` is equal to the length of this node, the new node has no data.
  Specified by:
    `splitText` in interface `Text`
  Returns:
    The new node, of the same type as this node.
  Throws:
    `DOMException` - INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of 16-bit units in `data`.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.